<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://www.qiibee.com
 * @since             1.0.0
 * @package           Qiibee_Connect
 *
 * @wordpress-plugin
 * Plugin Name:       qiibee connect
 * Plugin URI:        https://www.qiibee.com
 * Description:       This is a short description of what the plugin does. It's displayed in the WordPress admin area.
 * Version:           1.0.0
 * Author:            qiibee
 * Author URI:        https://www.qiibee.com
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       qiibee-connect
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'QIIBEE_CONNECT_VERSION', '1.0.0' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-qiibee-connect-activator.php
 */
function activate_qiibee_connect() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-qiibee-connect-activator.php';
	Qiibee_Connect_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-qiibee-connect-deactivator.php
 */
function deactivate_qiibee_connect() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-qiibee-connect-deactivator.php';
	Qiibee_Connect_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_qiibee_connect' );
register_deactivation_hook( __FILE__, 'deactivate_qiibee_connect' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-qiibee-connect.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_qiibee_connect() {

	$plugin = new Qiibee_Connect();
	$plugin->run();

}
run_qiibee_connect();
